#pragma  once

#include <string>
#include <algorithm>


namespace kubecontrol
{


        enum PullPolicy: uint32_t
    {
        ALWAYS,
        IFNOTPRESENT,
        NEVER
    };


     inline std::string toString(const PullPolicy &kind)
    {
        switch (kind)
        {
            case PullPolicy::ALWAYS: return "Always";
            case PullPolicy::IFNOTPRESENT: return "IfNotPresent";
            case PullPolicy::NEVER: return "Never";
            default: return "Always";
        }
    }

    class Utils
    {
        public:
        static std::string to_lower(std::string);

    };






}
